(module
  test
    (use 
      (curl "curl-bigloo.scm")))

(print "CURL version: " (curl-version))

;; Initialiaztion
(define curl-ptr (curl-easy-init))

(print "URL: " 
       (curl-easy-setopt curl-ptr (CURLOPT-URL) "http://localhost/index.html"))

(print "FILE: "
       (curl-easy-setopt curl-ptr (CURLOPT-FILE) (fopen "index.html" "w")))

(print "WRITE-HEADER: "
       (curl-easy-setopt curl-ptr (CURLOPT-WRITEHEADER) (fopen "header" "w")))

(print "Perform: " (curl-easy-perform curl-ptr))

;; Clean up
(curl-easy-cleanup curl-ptr)

(exit)

